soapClient.c File Reference

## Functions

| SOAP_SOURCE_STAMP ("@(#) soapClient.c ver 2.8.142 2026-07-24 19:06:33 GMT")
SOAP_FMAC5 int SOAP_FMAC6 | soap_send_ns__getProxyReq (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID)
SOAP_FMAC5 int SOAP_FMAC6 | soap_recv_ns__getProxyReq (struct soap *soap, struct ns__getProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_call_ns__getNewProxyReq (struct soap *soap, const char *soap_endpoint, const char *soap_action, struct ns__getNewProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_send_ns__getNewProxyReq (struct soap *soap, const char *soap_endpoint, const char *soap_action)
SOAP_FMAC5 int SOAP_FMAC6 | soap_recv_ns__getNewProxyReq (struct soap *soap, struct ns__getNewProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_call_ns__renewProxyReq (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID, struct ns__renewProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_send_ns__renewProxyReq (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID)
SOAP_FMAC5 int SOAP_FMAC6 | soap_recv_ns__renewProxyReq (struct soap *soap, struct ns__renewProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_call_ns__putProxy (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID, char *_proxy, struct ns__putProxyResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_send_ns__putProxy (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID, char *_proxy)
SOAP_FMAC5 int SOAP_FMAC6 | soap_recv_ns__putProxy (struct soap *soap, struct ns__putProxyResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_call_ns__getTerminationTime (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID, struct ns__getTerminationTimeResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_send_ns__getTerminationTime (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID)
SOAP_FMAC5 int SOAP_FMAC6 | soap_recv_ns__getTerminationTime (struct soap *soap, struct ns__getTerminationTimeResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_call_ns__destroy (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID, struct ns__destroyResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_send_ns__destroy (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID)
SOAP_FMAC5 int SOAP_FMAC6 | soap_recv_ns__destroy (struct soap *soap, struct ns__destroyResponse *_param_1)

## Function Documentation

## soap_call_ns__destroy()

SOAP_FMAC5 int SOAP_FMAC6 soap_call_ns__destroy | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID,
|  | struct ns__destroyResponse * | _param_1 )

Web service synchronous operation 'soap_call_ns__destroy' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_call_ns__getNewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_call_ns__getNewProxyReq | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | struct ns__getNewProxyReqResponse * | _param_1 )

Web service synchronous operation 'soap_call_ns__getNewProxyReq' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_call_ns__getTerminationTime()

SOAP_FMAC5 int SOAP_FMAC6 soap_call_ns__getTerminationTime | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID,
|  | struct ns__getTerminationTimeResponse * | _param_1 )

Web service synchronous operation 'soap_call_ns__getTerminationTime' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_call_ns__putProxy()

SOAP_FMAC5 int SOAP_FMAC6 soap_call_ns__putProxy | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID,
|  | char * | _proxy,
|  | struct ns__putProxyResponse * | _param_1 )

Web service synchronous operation 'soap_call_ns__putProxy' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_call_ns__renewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_call_ns__renewProxyReq | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID,
|  | struct ns__renewProxyReqResponse * | _param_1 )

Web service synchronous operation 'soap_call_ns__renewProxyReq' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_recv_ns__destroy()

SOAP_FMAC5 int SOAP_FMAC6 soap_recv_ns__destroy | ( | struct soap * | soap,
|  | struct ns__destroyResponse * | _param_1 )

Web service asynchronous operation 'soap_recv_ns__destroy' to receive a response message from the connected endpoint, returns SOAP_OK or error code

## soap_recv_ns__getNewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_recv_ns__getNewProxyReq | ( | struct soap * | soap,
|  | struct ns__getNewProxyReqResponse * | _param_1 )

Web service asynchronous operation 'soap_recv_ns__getNewProxyReq' to receive a response message from the connected endpoint, returns SOAP_OK or error code

## soap_recv_ns__getProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_recv_ns__getProxyReq | ( | struct soap * | soap,
|  | struct ns__getProxyReqResponse * | _param_1 )

Web service asynchronous operation 'soap_recv_ns__getProxyReq' to receive a response message from the connected endpoint, returns SOAP_OK or error code

## soap_recv_ns__getTerminationTime()

SOAP_FMAC5 int SOAP_FMAC6 soap_recv_ns__getTerminationTime | ( | struct soap * | soap,
|  | struct ns__getTerminationTimeResponse * | _param_1 )

Web service asynchronous operation 'soap_recv_ns__getTerminationTime' to receive a response message from the connected endpoint, returns SOAP_OK or error code

## soap_recv_ns__putProxy()

SOAP_FMAC5 int SOAP_FMAC6 soap_recv_ns__putProxy | ( | struct soap * | soap,
|  | struct ns__putProxyResponse * | _param_1 )

Web service asynchronous operation 'soap_recv_ns__putProxy' to receive a response message from the connected endpoint, returns SOAP_OK or error code

## soap_recv_ns__renewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_recv_ns__renewProxyReq | ( | struct soap * | soap,
|  | struct ns__renewProxyReqResponse * | _param_1 )

Web service asynchronous operation 'soap_recv_ns__renewProxyReq' to receive a response message from the connected endpoint, returns SOAP_OK or error code

## soap_send_ns__destroy()

SOAP_FMAC5 int SOAP_FMAC6 soap_send_ns__destroy | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID )

Web service asynchronous operation 'soap_send_ns__destroy' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_send_ns__getNewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_send_ns__getNewProxyReq | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action )

Web service asynchronous operation 'soap_send_ns__getNewProxyReq' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_send_ns__getProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_send_ns__getProxyReq | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID )

Web service asynchronous operation 'soap_send_ns__getProxyReq' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_send_ns__getTerminationTime()

SOAP_FMAC5 int SOAP_FMAC6 soap_send_ns__getTerminationTime | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID )

Web service asynchronous operation 'soap_send_ns__getTerminationTime' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_send_ns__putProxy()

SOAP_FMAC5 int SOAP_FMAC6 soap_send_ns__putProxy | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID,
|  | char * | _proxy )

Web service asynchronous operation 'soap_send_ns__putProxy' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_send_ns__renewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_send_ns__renewProxyReq | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID )

Web service asynchronous operation 'soap_send_ns__renewProxyReq' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## SOAP_SOURCE_STAMP()

SOAP_SOURCE_STAMP | ( | "@(#) soapClient.c ver 2.8.142 2026-07-24 19:06:33 GMT" |  | ) |